package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import org.springframework.format.annotation.DateTimeFormat;

@Entity
@Table(
   name = "T_CORE_SUBSETTASK"
)
public class TCoreSubsettask extends TBaseEntity {
   private String engineid;
   private String subsetid;
   private String sourcedatasystemid;
   private String sourceschema;
   private String targetdatasystemid;
   private String targetschema;
   private String taskname;
   @DateTimeFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date createtime;
   private String status;
   @DateTimeFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date updatetime;
   private String wherestatement;
   private String prefix;
   @Transient
   private String enginename;
   @Transient
   private String subsetname;
   @Transient
   private String subsetnote;
   @Transient
   private String sourcedatasystemparentid;
   @Transient
   private String sourcedatasystemname;
   @Transient
   private String targetdatasystemparentid;
   @Transient
   private String targetdatasystemname;
   @Transient
   private String foldername;
   private String taskid;

   public TCoreSubsettask() {
   }

   public TCoreSubsettask(String engineid, String subsetid, String sourcedatasystemid, String sourceschema, String targetdatasystemid, String targetschema, String taskname, Date createtime, String status, Date updatetime, String wherestatement, String prefix, String enginename, String subsetname, String subsetnote, String sourcedatasystemparentid, String sourcedatasystemname, String targetdatasystemparentid, String targetdatasystemname, String foldername, String taskid) {
      this.engineid = engineid;
      this.subsetid = subsetid;
      this.sourcedatasystemid = sourcedatasystemid;
      this.sourceschema = sourceschema;
      this.targetdatasystemid = targetdatasystemid;
      this.targetschema = targetschema;
      this.taskname = taskname;
      this.createtime = createtime;
      this.status = status;
      this.updatetime = updatetime;
      this.wherestatement = wherestatement;
      this.prefix = prefix;
      this.enginename = enginename;
      this.subsetname = subsetname;
      this.subsetnote = subsetnote;
      this.sourcedatasystemparentid = sourcedatasystemparentid;
      this.sourcedatasystemname = sourcedatasystemname;
      this.targetdatasystemparentid = targetdatasystemparentid;
      this.targetdatasystemname = targetdatasystemname;
      this.foldername = foldername;
      this.taskid = taskid;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getSubsetid() {
      return this.subsetid;
   }

   public void setSubsetid(String subsetid) {
      this.subsetid = subsetid;
   }

   public String getSourcedatasystemid() {
      return this.sourcedatasystemid;
   }

   public void setSourcedatasystemid(String sourcedatasystemid) {
      this.sourcedatasystemid = sourcedatasystemid;
   }

   public String getSourceschema() {
      return this.sourceschema;
   }

   public void setSourceschema(String sourceschema) {
      this.sourceschema = sourceschema;
   }

   public String getTargetdatasystemid() {
      return this.targetdatasystemid;
   }

   public void setTargetdatasystemid(String targetdatasystemid) {
      this.targetdatasystemid = targetdatasystemid;
   }

   public String getTargetschema() {
      return this.targetschema;
   }

   public void setTargetschema(String targetschema) {
      this.targetschema = targetschema;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getWherestatement() {
      return this.wherestatement;
   }

   public void setWherestatement(String wherestatement) {
      this.wherestatement = wherestatement;
   }

   public String getPrefix() {
      return this.prefix;
   }

   public void setPrefix(String prefix) {
      this.prefix = prefix;
   }

   public String getEnginename() {
      return this.enginename;
   }

   public void setEnginename(String enginename) {
      this.enginename = enginename;
   }

   public String getSubsetname() {
      return this.subsetname;
   }

   public void setSubsetname(String subsetname) {
      this.subsetname = subsetname;
   }

   public String getSubsetnote() {
      return this.subsetnote;
   }

   public void setSubsetnote(String subsetnote) {
      this.subsetnote = subsetnote;
   }

   public String getSourcedatasystemparentid() {
      return this.sourcedatasystemparentid;
   }

   public void setSourcedatasystemparentid(String sourcedatasystemparentid) {
      this.sourcedatasystemparentid = sourcedatasystemparentid;
   }

   public String getSourcedatasystemname() {
      return this.sourcedatasystemname;
   }

   public void setSourcedatasystemname(String sourcedatasystemname) {
      this.sourcedatasystemname = sourcedatasystemname;
   }

   public String getTargetdatasystemparentid() {
      return this.targetdatasystemparentid;
   }

   public void setTargetdatasystemparentid(String targetdatasystemparentid) {
      this.targetdatasystemparentid = targetdatasystemparentid;
   }

   public String getTargetdatasystemname() {
      return this.targetdatasystemname;
   }

   public void setTargetdatasystemname(String targetdatasystemname) {
      this.targetdatasystemname = targetdatasystemname;
   }

   public String getFoldername() {
      return this.foldername;
   }

   public void setFoldername(String foldername) {
      this.foldername = foldername;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.engineid == null ? 0 : this.engineid.hashCode());
      result = 31 * result + (this.enginename == null ? 0 : this.enginename.hashCode());
      result = 31 * result + (this.foldername == null ? 0 : this.foldername.hashCode());
      result = 31 * result + (this.prefix == null ? 0 : this.prefix.hashCode());
      result = 31 * result + (this.sourcedatasystemid == null ? 0 : this.sourcedatasystemid.hashCode());
      result = 31 * result + (this.sourcedatasystemname == null ? 0 : this.sourcedatasystemname.hashCode());
      result = 31 * result + (this.sourcedatasystemparentid == null ? 0 : this.sourcedatasystemparentid.hashCode());
      result = 31 * result + (this.sourceschema == null ? 0 : this.sourceschema.hashCode());
      result = 31 * result + (this.status == null ? 0 : this.status.hashCode());
      result = 31 * result + (this.subsetid == null ? 0 : this.subsetid.hashCode());
      result = 31 * result + (this.subsetname == null ? 0 : this.subsetname.hashCode());
      result = 31 * result + (this.subsetnote == null ? 0 : this.subsetnote.hashCode());
      result = 31 * result + (this.targetdatasystemid == null ? 0 : this.targetdatasystemid.hashCode());
      result = 31 * result + (this.targetdatasystemname == null ? 0 : this.targetdatasystemname.hashCode());
      result = 31 * result + (this.targetdatasystemparentid == null ? 0 : this.targetdatasystemparentid.hashCode());
      result = 31 * result + (this.targetschema == null ? 0 : this.targetschema.hashCode());
      result = 31 * result + (this.taskid == null ? 0 : this.taskid.hashCode());
      result = 31 * result + (this.taskname == null ? 0 : this.taskname.hashCode());
      result = 31 * result + (this.updatetime == null ? 0 : this.updatetime.hashCode());
      result = 31 * result + (this.wherestatement == null ? 0 : this.wherestatement.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSubsettask other = (TCoreSubsettask)obj;
         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.engineid == null) {
            if (other.engineid != null) {
               return false;
            }
         } else if (!this.engineid.equals(other.engineid)) {
            return false;
         }

         if (this.enginename == null) {
            if (other.enginename != null) {
               return false;
            }
         } else if (!this.enginename.equals(other.enginename)) {
            return false;
         }

         if (this.foldername == null) {
            if (other.foldername != null) {
               return false;
            }
         } else if (!this.foldername.equals(other.foldername)) {
            return false;
         }

         if (this.prefix == null) {
            if (other.prefix != null) {
               return false;
            }
         } else if (!this.prefix.equals(other.prefix)) {
            return false;
         }

         if (this.sourcedatasystemid == null) {
            if (other.sourcedatasystemid != null) {
               return false;
            }
         } else if (!this.sourcedatasystemid.equals(other.sourcedatasystemid)) {
            return false;
         }

         if (this.sourcedatasystemname == null) {
            if (other.sourcedatasystemname != null) {
               return false;
            }
         } else if (!this.sourcedatasystemname.equals(other.sourcedatasystemname)) {
            return false;
         }

         if (this.sourcedatasystemparentid == null) {
            if (other.sourcedatasystemparentid != null) {
               return false;
            }
         } else if (!this.sourcedatasystemparentid.equals(other.sourcedatasystemparentid)) {
            return false;
         }

         if (this.sourceschema == null) {
            if (other.sourceschema != null) {
               return false;
            }
         } else if (!this.sourceschema.equals(other.sourceschema)) {
            return false;
         }

         if (this.status == null) {
            if (other.status != null) {
               return false;
            }
         } else if (!this.status.equals(other.status)) {
            return false;
         }

         if (this.subsetid == null) {
            if (other.subsetid != null) {
               return false;
            }
         } else if (!this.subsetid.equals(other.subsetid)) {
            return false;
         }

         if (this.subsetname == null) {
            if (other.subsetname != null) {
               return false;
            }
         } else if (!this.subsetname.equals(other.subsetname)) {
            return false;
         }

         if (this.subsetnote == null) {
            if (other.subsetnote != null) {
               return false;
            }
         } else if (!this.subsetnote.equals(other.subsetnote)) {
            return false;
         }

         if (this.targetdatasystemid == null) {
            if (other.targetdatasystemid != null) {
               return false;
            }
         } else if (!this.targetdatasystemid.equals(other.targetdatasystemid)) {
            return false;
         }

         if (this.targetdatasystemname == null) {
            if (other.targetdatasystemname != null) {
               return false;
            }
         } else if (!this.targetdatasystemname.equals(other.targetdatasystemname)) {
            return false;
         }

         if (this.targetdatasystemparentid == null) {
            if (other.targetdatasystemparentid != null) {
               return false;
            }
         } else if (!this.targetdatasystemparentid.equals(other.targetdatasystemparentid)) {
            return false;
         }

         if (this.targetschema == null) {
            if (other.targetschema != null) {
               return false;
            }
         } else if (!this.targetschema.equals(other.targetschema)) {
            return false;
         }

         if (this.taskid == null) {
            if (other.taskid != null) {
               return false;
            }
         } else if (!this.taskid.equals(other.taskid)) {
            return false;
         }

         if (this.taskname == null) {
            if (other.taskname != null) {
               return false;
            }
         } else if (!this.taskname.equals(other.taskname)) {
            return false;
         }

         if (this.updatetime == null) {
            if (other.updatetime != null) {
               return false;
            }
         } else if (!this.updatetime.equals(other.updatetime)) {
            return false;
         }

         if (this.wherestatement == null) {
            if (other.wherestatement != null) {
               return false;
            }
         } else if (!this.wherestatement.equals(other.wherestatement)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreSubsettask [engineid=" + this.engineid + ", subsetid=" + this.subsetid + ", sourcedatasystemid=" + this.sourcedatasystemid + ", sourceschema=" + this.sourceschema + ", targetdatasystemid=" + this.targetdatasystemid + ", targetschema=" + this.targetschema + ", taskname=" + this.taskname + ", createtime=" + this.createtime + ", status=" + this.status + ", updatetime=" + this.updatetime + ", wherestatement=" + this.wherestatement + ", prefix=" + this.prefix + ", enginename=" + this.enginename + ", subsetname=" + this.subsetname + ", subsetnote=" + this.subsetnote + ", sourcedatasystemparentid=" + this.sourcedatasystemparentid + ", sourcedatasystemname=" + this.sourcedatasystemname + ", targetdatasystemparentid=" + this.targetdatasystemparentid + ", targetdatasystemname=" + this.targetdatasystemname + ", foldername=" + this.foldername + ", taskid=" + this.taskid + "]";
   }
}
